%define module	virtualenv
%define name	python-%{module}
%define version	1.10.1

Name:		%name
Version:	1.10.1
Release:	%mkrel 6
Summary:	Virtual Python Environment builder
Group:		Development/Python
License:	MIT
URL:		http://www.virtualenv.org/
Source0:	http://pypi.python.org/packages/source/v/%{module}/%{module}-%{version}.tar.gz
Source1:	pip-1.4.1.tar.gz
Source2:	setuptools-0.9.8.tar.gz
Patch0:         virtualenv-1.10.1-mga-fix_inc_dir.patch
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
Requires:	python-pkg-resources

%description
virtualenv is a tool to create isolated Python environments.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0
cp -f %{SOURCE1} virtualenv_support/
cp -f %{SOURCE2} virtualenv_support/
%{__sed} -i -e "1s|#!/usr/bin/env python||" virtualenv.py 

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install --root=%{buildroot} --skip-build 
rm -f build/sphinx/html/.buildinfo

%files
%doc PKG-INFO AUTHORS.txt LICENSE.txt
%doc build/sphinx/*
%{python_sitelib}/virtualenv*
%{_bindir}/virtualenv*



%changelog
* Sun Dec 01 2013 philippem <philippem> 1.10.1-6.mga4
+ Revision: 554548
- change-match_hostname-to-follow-RFC-6125 (mga#11785)

* Tue Oct 22 2013 umeabot <umeabot> 1.10.1-5.mga4
+ Revision: 544426
- Mageia 4 Mass Rebuild

* Mon Oct 21 2013 philippem <philippem> 1.10.1-4.mga4
+ Revision: 539206
- fix inc_dir

* Tue Oct 15 2013 pterjan <pterjan> 1.10.1-3.mga4
+ Revision: 499706
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 06 2013 philippem <philippem> 1.10.1-2.mga4
+ Revision: 475526
- bump release to have clean upgrade path from mga3 after the upgrade for security reason in mga2 and mga3

* Thu Aug 08 2013 philippem <philippem> 1.10.1-1.mga4
+ Revision: 464597
- Update to 1.10.1

* Mon Jul 29 2013 philippem <philippem> 1.10-1.mga4
+ Revision: 460644
- Update to 1.10

* Mon Jun 03 2013 kharec <kharec> 1.9.1-1.mga4
+ Revision: 436201
- New version 1.9.1
- Drop P0, it was applied upstream

* Sun Jan 13 2013 umeabot <umeabot> 1.7.1.2-4.mga3
+ Revision: 379674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 lebedov <lebedov> 1.7.1.2-3.mga3
+ Revision: 296929
- Remove python-devel install requirement (#4481).

* Fri Aug 03 2012 tv <tv> 1.7.1.2-2.mga3
+ Revision: 278204
- better upstream fix for multiarch (fix firefox15 build)

* Tue May 29 2012 lebedov <lebedov> 1.7.1.2-1.mga3
+ Revision: 249516
- Update to 1.7.1.2.
  Don't set PYTHONDONTWRITEBYTECODE (#3358).

* Wed Nov 30 2011 lebedov <lebedov> 1.7-1.mga2
+ Revision: 174425
- Update to 1.7.

* Mon Sep 26 2011 lebedov <lebedov> 1.6.4-2.mga2
+ Revision: 148995
- imported package python-virtualenv

